---
search:
  tags:
    - Attribute Template Fields
    - PUT
seo:
  description: >-
    Creates a new field definition… Reference for the PUT
    /api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}/field
    endpoint in the Management API.
sidebar:
  label: Create or update attribute template field
  badge: PUT
title: Create or update attribute template field
type: openapi-operation
---
Creates a new field definition or updates an existing one in the attribute template. If a field with the same key exists, its name and type will be overwritten.

`PUT /api/v1/{team_slug}/{app_slug}/attributes/{attribute_template_key}/field`

**Responses**

- `200` — New or updated field
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "created_at": "string",
    "id": "string",
    "key": "string",
    "name": "string",
    "type": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
